Subject: Re: [manet] OLSR and IP Addresses

From: Krishna Prabhala <[email-masked]>
Date: Fri, 12 Mar 2004 09:17:47 -0500 (EST)

Thomas,

Still, I am not very clear.  If nodes belonging to any subnet can be in a
MANET, how is that the MANET prefix for auto-configuration is being fixed
at 169.254/16? (for route aggregation?)  What about if nodes having an IP
address outside this range move into a MANET?  Will their old IP
addresses be changed to be within 169.254/16?

Also, how can route aggregation be guaranteed in a MANET wherein nodes
have IP addresses belonging to different subnets?

Thanks,
Krishna.

On Fri, 12 Mar 2004, Thomas Heide Clausen wrote:

- Richard,
-
- Thanks for your interrest in OLSR.
-
- On Thu, 11 Mar 2004 17:33:34 -0700
- [email-masked] wrote:
-
- >
- > I have a question about how to assign IP addresses when using OLSR.
- >
- > Section 11.1 of RFC 3626 says:
- > The nodes in the MANET network SHOULD be assigned addresses within a
- > defined address sequence, i.e., the nodes in the MANET SHOULD be
- > addressable through a network address and a netmask.
- >
- > Since the OLSR routing protocol messages contain only IP addresses and
- > not subnet masks, it seems like this is implying that all IP addresses in
- > the OLSR
- > MANET should be on the same IP subnet.  Is this the case?
-
- Nope. Each node must have an IP-address, however there are no requirements
- as to how these addresses are assigned within the OLSR network. You may
- have nodes from different "IP subnet" in the same OLSR manet -- it makes no
- difference as to how the routing protocol routes. For all OLSR is
- concirned, an IP address is an IP address -- always.
-
- The condition from section 11.1 (which is a SHOULD, btw., not a MUST) comes
- from the simple fact that if you want to advertice routes from the OLSR
- manet into another routing domain, then it is smart to be able to address
- the entire manet as a "chunk" -- to aggregate the node addresses by means
- of a subnet. However this is a real issue only at the time when you want to
- inject routes to manet nodes into an external network. This is similar to
- the way aggregation is done by other prevailing internet routing protocols.
-
- >
- > If so, this seems like a limitation in OLSR that is not present in other
- > protocols
- > such as AODV.  The AODV RFC says it was designed for use by mobile nodes
- > with IP addresses that are not necessarily related to each other.
- >
-
- AODV and OLSR works identically wrt. requirements address assignment within
- the manet. There is no difference on this point.
-
- I hope this answers your question?
-
- Regards,
-
- --thomas
-
- > Can someone please provide some clarification on these points?
- >
- > Thanks,
- >
- > Richard Herron
- > L-3 Communications
-
- _______________________________________________
- manet mailing list
- [email-masked]
- https://www1.ietf.org/mailman/listinfo/manet
-

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: Thomas Heide Clausen <[email-masked]>
Date: Fri, 12 Mar 2004 16:49:58 +0100

Krishna,

These are very good questions. They are not specific to OLSR, but apply
equally to all MANET routing protocols (or, indeed, to the MANET domain in
general).

Your question, as I understand it, addresses basically two issues:

	- how do we do auto-configuration in MANETs;
	- how do we do route aggregation in MANETs.

There have been a number of drafts regarding the issue of
autoconfiguration, and some discussion on this topic at the last MANET
meeting in Seoul. Regarding the second issue, I believe that this hasn't
been fully explored, however one could envision employing mobile IP (or
similar solutions) to accomodate "forigen nodes" in a manet. This really
concerns how MANETs play into the larger Internet infrastructure, and
should probably be addressed.

It would be interresting to discuss these issues, however as I've stated,
they apply equally to all MANET routing protocols.

Regards,

--thomas

On Fri, 12 Mar 2004 09:17:47 -0500 (EST)
Krishna Prabhala <[email-masked]> wrote:

> - > Since the OLSR routing protocol messages contain only IP addresses
> and- > not subnet masks, it seems like this is implying that all IP
> addresses in- > the OLSR
> - Nope. Each node must have an IP-address, however there are no
> requirements- as to how these addresses are assigned within the OLSR
> network. You may- have nodes from different "IP subnet" in the same OLSR
> manet -- it makes no- difference as to how the routing protocol routes.
> For all OLSR is- concirned, an IP address is an IP address -- always.
> -
> - The condition from section 11.1 (which is a SHOULD, btw., not a MUST)
> comes- from the simple fact that if you want to advertice routes from the
> OLSR- manet into another routing domain, then it is smart to be able to
> address- the entire manet as a "chunk" -- to aggregate the node addresses
> by means- of a subnet. However this is a real issue only at the time when
> you want to- inject routes to manet nodes into an external network. This
> is similar to- the way aggregation is done by other prevailing internet
> routing protocols.-
> - >
> - > If so, this seems like a limitation in OLSR that is not present in
> other- > protocols
> - > such as AODV.  The AODV RFC says it was designed for use by mobile
> nodes- > with IP addresses that are not necessarily related to each
> other.- >
> -
> - AODV and OLSR works identically wrt. requirements address assignment
> within- the manet. There is no difference on this point.
> -